Permalink
Browse files

Udate readme.md updated maven config example

Updated the maven dependency config example to version 1.4
Removed the repo config as the artifact is available in maven central
Updated jar links to direct links
  • Loading branch information...
1 parent 14f118a commit 4091bac7cc906c581476cc3dab63085b4015f6ef @jsherman1 jsherman1 committed Oct 10, 2012
Showing with 3 additions and 13 deletions.
  1. +3 −13 readme.md
View
@@ -17,30 +17,20 @@ Add the following to your maven `pom.xml` file.
<dependency>
<groupId>org.fusesource.mqtt-client</groupId>
<artifactId>mqtt-client</artifactId>
- <version>1.0-SNAPSHOT</version>
+ <version>1.4</version>
</dependency>
- <repositories>
- <repository>
- <id>fusesource.snapshots</id>
- <name>FuseSource Snapshot Repository</name>
- <url>http://repo.fusesource.com/nexus/content/repositories/snapshots</url>
- <snapshots><enabled>true</enabled></snapshots>
- <releases><enabled>false</enabled></releases>
- </repository>
- </repositories>
-
## Using from any Other Build System
Download the
-[uber jar file](http://repo.fusesource.com/nexus/service/local/artifact/maven/redirect?r=public&g=org.fusesource.mqtt-client&a=mqtt-client&v=1.4&e=jar&c=uber)
+[uber jar file](http://repo.fusesource.com/nexus/content/repositories/public/org/fusesource/mqtt-client/mqtt-client/1.4/mqtt-client-1.4-uber.jar)
and add it to your build. The uber contains all the stripped down dependencies
which the mqtt-client depends on from other projects.
## Using on Java 1.4
We also provide an
-[java 1.4 uber jar file](http://repo.fusesource.com/nexus/service/local/artifact/maven/redirect?r=public&g=org.fusesource.mqtt-client&a=mqtt-client-java1.4-uber&v=1.4&e=jar)
+[java 1.4 uber jar file](http://repo.fusesource.com/nexus/content/repositories/public/org/fusesource/mqtt-client/mqtt-client-java1.4-uber/1.4/mqtt-client-java1.4-uber-1.4.jar)
which is compatible with Java 1.4 JVMs. This version of the jar
does not support SSL connections since the SSLEngine class used to implement SSL on NIO
was not introduced until Java 1.5.

0 comments on commit 4091bac

Please sign in to comment.